package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbuMapper {
    int insert(Dbu record);

    int insertSelective(Dbu record);

    int updateByPrimaryKeySelective(Dbu record);

    int updateByPrimaryKey(Dbu record);

    int deleteByPrimaryKey(Dbu record);

    int deleteByIds(Collection<Object> collection);

    Dbu selectByPrimaryKey(Dbu record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dbu> dyncRead(Map<String,Object> dyncMap);

    String getTransOthCountry(@Param("custcode") String custcode);

    String getIndustryCode(@Param("custcode") String custcode);
}
